CREATE TABLE gl_enc_carry_forward_rules_ (
    ENC_CARRY_FORWARD_RULE_ID    NUMBER(18, 0) ,
    NAME                         VARCHAR2(120) ,
    CHART_OF_ACCOUNTS_ID         NUMBER(18, 0) ,
    DESCRIPTION                  VARCHAR2(960) ,
    ATTRIBUTE_CATEGORY           VARCHAR2(600) ,
    ATTRIBUTE1                   VARCHAR2(600) ,
    ATTRIBUTE2                   VARCHAR2(600) ,
    ATTRIBUTE3                   VARCHAR2(600) ,
    ATTRIBUTE4                   VARCHAR2(600) ,
    ATTRIBUTE5                   VARCHAR2(600) ,
    CREATION_DATE                TIMESTAMP(6)  ,
    CREATED_BY                   VARCHAR2(256) ,
    LAST_UPDATE_DATE             TIMESTAMP(6)  ,
    LAST_UPDATED_BY              VARCHAR2(256) ,
    LAST_UPDATE_LOGIN            VARCHAR2(128) ,
    OBJECT_VERSION_NUMBER        NUMBER(9, 0)  ,
    AUDIT_ACTION_TYPE_           VARCHAR2(40)  ,
    AUDIT_CHANGE_BIT_MAP_        VARCHAR2(4000),
    AUDIT_IMPERSONATOR_          VARCHAR2(256) ,
    ENC_CARRY_FORWARD_RULE_ID    NUMBER(18, 0) ,
    NAME                         VARCHAR2(120) ,
    CHART_OF_ACCOUNTS_ID         NUMBER(18, 0) ,
    DESCRIPTION                  VARCHAR2(960) ,
    ATTRIBUTE_CATEGORY           VARCHAR2(600) ,
    ATTRIBUTE1                   VARCHAR2(600) ,
    ATTRIBUTE2                   VARCHAR2(600) ,
    ATTRIBUTE3                   VARCHAR2(600) ,
    ATTRIBUTE4                   VARCHAR2(600) ,
    ATTRIBUTE5                   VARCHAR2(600) ,
    CREATION_DATE                TIMESTAMP(6)  ,
    CREATED_BY                   VARCHAR2(256) ,
    LAST_UPDATE_DATE             TIMESTAMP(6)  ,
    LAST_UPDATED_BY              VARCHAR2(256) ,
    LAST_UPDATE_LOGIN            VARCHAR2(128) ,
    OBJECT_VERSION_NUMBER        NUMBER(9, 0)  ,
    AUDIT_ACTION_TYPE_           VARCHAR2(40)  ,
    AUDIT_CHANGE_BIT_MAP_        VARCHAR2(4000),
    AUDIT_IMPERSONATOR_          VARCHAR2(256) ,
    CONSTRAINT pk_gl_enc_carry_forward_rules_ PRIMARY KEY (ENC_CARRY_FORWARD_RULE_ID, LAST_UPDATE_DATE, LAST_UPDATED_BY, ENC_CARRY_FORWARD_RULE_ID, LAST_UPDATE_DATE, LAST_UPDATED_BY)
);
